3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception('Foo'); } catch (Exception $e) { try { throw new Exception('Bar'); } finally { throw $e; } }
Output for 7.0.0 - 7.2.0
Fatal error: Uncaught Exception: Bar in /in/KltD1:7 Stack trace: #0 {main} Next Exception: Foo in /in/KltD1:4 Stack trace: #0 {main} thrown in /in/KltD1 on line 4
Process exited with code 255.
Output for 5.5.0 - 5.6.28
Fatal error: Uncaught exception 'Exception' with message 'Bar' in /in/KltD1:7 Stack trace: #0 {main} Next exception 'Exception' with message 'Foo' in /in/KltD1:4 Stack trace: #0 {main} thrown in /in/KltD1 on line 4
Process exited with code 255.